/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/args.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__ARGS_H
#define HELIUM__ARGS_H


typedef struct He_argl_st { 
	char	*option, 
		*resource, 
		*param, 
		*help;
	int	nb, 		/* -1 pour stopper apres ce parametre */
		pos;		/* position dans argc ; init a 0 */
} He_argl;


extern int he_argc;
extern char **he_argv;


/* PUBLIC */
extern void HeDeclArg (char *option, char *resource, 
	char *param, int nb_param, char *help);
extern char *HeGetOption (const char *option, char *default_val);
extern char *HeGetOptionN (const char *option, int num, char *default_val);
extern char *HeGetResource (const char *resource, char *default_val);
extern void HePrintHelp ();
extern void HePrintRes ();


/* PRIVE */
extern int HeAnalyseArgs (int *argc, char ***argv);
extern char *HeRetrieveArg (const char *option, int num, 
	const char *resource, char *default_val);
extern int HeGetArgPos (const char *option);
extern int HeGetResPos (const char *resource);


#endif /* HELIUM__ARGS_H */

