/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/draw.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__DRAW_H
#define HELIUM__DRAW_H


extern char he_empty_str[];	/* string valant "" */
extern XFontStruct *he_normal_font, *he_bold_font, *he_small_font;
extern int he_font_width, he_font_height;
extern GC he_gc, he_gc_draw, he_gc_xor;


/* PUBLIC */
extern void HeDrawRect3D (Window win, int xb, int yb, int xm, int ym, 
	int c1, int c2);
extern void HeDrawRect3DC (Window win, int xb, int yb, int xm, int ym, 
	int c1, int c2);
extern void HeDrawString (Window win, GC gc, XFontStruct *font,
	int x, int y, const char *ligne);
extern void HeDrawSubString (Window win, GC gc, XFontStruct *font, 
	int x, int y, const char *ligne, int pos, int len);
extern void HeDrawStringCenterRect (Window win, GC gc, XFontStruct *font,
	int xb, int yb, int xm, int ym, const char *ligne);
extern void HeDrawStringPos (Window win, GC gc, XFontStruct *font, 
	int x, int y, int pos, const char *ligne);
extern int  HeStrLen (const char *s);
extern void HeDimString (XFontStruct *font, const char *ligne, int *x, int *y);
extern void HeDrawBg (He_node *hn, int coul);


/* PRIVE */
extern int HeInitFonts ();
extern void HeInitGCs ();


#endif /* HELIUM__DRAW_H */

