/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/focus.h - 30/11/2000
 *
 * 
*/


#ifndef HELIUM__FOCUS_H
#define HELIUM__FOCUS_H


/* PUBLIC */
extern He_node *HeGetFocus (He_node *hn);
extern void HeSetFocus (He_node *hn, int flag);
extern He_node *HeNextFocus (He_node *hn);
extern He_node *HePredFocus (He_node *hn);


/* PRIVE */
extern void HeFocusInitInfo (He_focus_info *focus_info);
extern void HeFocusReceiveEvent (He_node *hn, int flag);
extern void HeFocusBorrow (He_node *hn, int flag);
extern He_node *HeFocusFindRoot (He_node *hn);
extern void HeSetFocusP (He_node *root, He_focus_info *focus_info, 
	He_node *nouv);
extern He_node *HeFocusSearch (He_node *hn, int dir);
extern void HeFocusSearchRec (He_node *hn, int xf, int yf, int dir);
extern void HeSendEventToFocus (He_node *hn, He_event *hev);


#endif /* HELIUM__FOCUS_H */

