/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/geobase.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__GEOBASE_H
#define HELIUM__GEOBASE_H


/* PUBLIC */
extern void HeSetShow (He_node *hn, int show);
extern void HeSetActive (He_node *hn, int active);
extern void HeSetX (He_node *hn, int x);
extern void HeSetY (He_node *hn, int y);
extern void HeSetWidth (He_node *hn, int width);
extern void HeSetHeight (He_node *hn, int height);
extern void HeSetBorder (He_node *hn, int border);
extern void HeSetClientData (He_node *hn, void *client_data);
extern void HeSetDestroyProc (He_node *hn, He_destroy_proc proc);
extern He_node *HeGetOwner (He_node *hn);
extern He_node *HeGetNext (He_node *hn);
extern He_node *HeGetSub (He_node *hn);
extern int HeGetShow (He_node *hn);
extern int HeGetActive (He_node *hn);
extern int HeGetX (He_node *hn);
extern int HeGetY (He_node *hn);
extern int HeGetWidth (He_node *hn);
extern int HeGetHeight (He_node *hn);
extern int HeGetBorder (He_node *hn);
extern void *HeGetClientData (He_node *hn);
extern He_destroy_proc HeGetDestroyProc (He_node *hn);
extern Window HeGetWindow (He_node *hn);
extern Ulong HeGetNat (He_node *hn);
extern int HeGetId (He_node *hn);
extern int HeGetExtWidth (He_node *hn);
extern int HeGetExtHeight (He_node *hn);
extern int HeGetExtX (He_node *hn);
extern int HeGetExtY (He_node *hn);
extern void HeMoveX (He_node *hn, int dx);
extern void HeMoveY (He_node *hn, int dy);
extern void HeMoveWidth (He_node *hn, int dwidth);
extern void HeMoveHeight (He_node *hn, int dheight);
extern void HeJustify (He_node *hn, He_node *ref, int pos);
extern void HeExpand (He_node *hn, He_node *ref, int pos);
extern void HeBoundingBox (He_node *hn, int *xmax, int *ymax);
extern void HeFit (He_node *hn);
extern void HeSetAutoFit (He_node *hn, int autofit);
extern int HeGetAutoFit (He_node *hn);
extern void HeAbsoluteCoords (He_node *ref, int src_x, int src_y, 
	int *abs_x, int *abs_y);
extern int HeQueryPointerCoords (He_node *hn, int *x, int *y);


/* PRIVE */
extern void HeBaseInit (He_node *hn, int id);
extern void HeBaseZero (He_node *hn);
extern He_node *HeBaseCreate (He_node *owner, He_method *meth);
extern int HeIsClic (He_node *hn, int x, int y);
extern He_node *HeFindClic (He_node *prem, int x, int y, int propagate);


#endif /* HELIUM__GEOBASE_H */

