/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/menu.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__MENU_H
#define HELIUM__MENU_H


typedef struct Obj_menu_st {
	char		*label;
	int		pointed;	/* L'item pointe' par la souris */
        He_focus_info	focus_info;	/* Focus clavier */
	He_kbd_proc	kbd_proc;	/* intercepte evt si retour FALSE */
} Obj_menu;


/* PUBLIC */
extern He_node *HeCreateMenu ();
extern void HeSetMenuLabel (He_node *hn, const char *label);
extern char *HeGetMenuLabel (He_node *hn);
extern void HeShowMenuXY (He_node *hn, He_node *ref, int x, int y);
extern void HeShowMenu (He_node *hn, He_node *ref, int layout);
extern void HeHideMenus (He_node *menu_start);
extern int HeIsMenu (He_node *hn);


/* PRIVE */
extern void HeMenuAutoInit ();
extern void HeMenuDestroy (He_node *hn);
extern void HeMenuFit (He_node *hn);
extern void HeMenuUpdate (He_node *hn, He_upd_info *ui);
extern int HeMenuEvent (He_node *hn, He_event *hev);
extern void HeMenuDraw (He_node *hn);
extern He_focus_info *HeMenuStoreFocus (He_node *hn);
extern int HeMenuFilterEvents (He_node *hn, He_event *hev);
extern int HeMenuHideAll ();
extern int HeNotMenu (He_node *hn);


#endif /* HELIUM__MENU_H */

