/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/menu_item.h - 24/01/2002
 *
 * 
*/


#ifndef HELIUM__MENU_ITEM_H
#define HELIUM__MENU_ITEM_H


typedef struct Obj_menu_item_st {
	char	*label;
        int     rank, submenu_id;
	He_notify_proc notify_proc;
} Obj_menu_item;


/* PUBLIC */
extern He_node *HeCreateMenuItem (He_node *owner);
extern He_node *HeCreateMenuItemP (He_node *owner, const char *label, 
                                 He_notify_proc proc, void *client_data);
extern void HeSetMenuItemLabel (He_node *hn, const char *label);
extern void HeSetMenuItemRank (He_node *hn, int rank);
extern void HeSetMenuItemNotifyProc (He_node *hn, He_notify_proc proc);
extern void HeSetMenuItemSubMenu (He_node *hn, He_node *sub_menu);
extern char *HeGetMenuItemLabel (He_node *hn);
extern int HeGetMenuItemRank (He_node *hn);
extern He_notify_proc HeGetMenuItemNotifyProc (He_node *hn);
extern He_node *HeGetMenuItemSubMenu (He_node *hn);
extern int HeIsMenuItem (He_node *hn);


/* PRIVE */
extern void HeMenuItemAutoInit ();
extern void HeMenuItemDestroy (He_node *hn);
extern void HeMenuItemFit (He_node *hn);
extern void HeMenuItemUpdate (He_node *hn, He_upd_info *ui);
extern int HeMenuItemEvent (He_node *hn, He_event *hev);
extern void HeMenuItemDraw (He_node *hn);
extern void HeMenuItemSize (He_node *hn, int deco_x, int deco_y, int *xm, int *ym);
extern int HeNotMenuItem (He_node *hn);


#endif /* HELIUM__MENU_ITEM_H */

