/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/method.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__METHOD_H
#define HELIUM__METHOD_H


/* Attr des mthodes */
#define	HE_METH_MAGIC		0xA1F802

/* Masques de proprits d'une mthode */
enum {
	HE_PM_NULL		= 0L,
	HE_PM_ACCEPT_FOCUS	= 1L<<0	,	/* Accepte focus clavier */
	HE_PM_STORE_FOCUS	= 1L<<1	,	/* Mmo propritaire focus */
	HE_PM_SEND_TAB		= 1L<<2	,	/* Transmet l'ev [Tab]  */
	HE_PM_WIN_OWNER		= 1L<<3	,	/* Proprietaire du Window */
	HE_PM_TOP_WIN		= 1L<<4		/* Top-level window */
};


extern He_method he_meth_void;


/* PUBLIC */


/* PRIVE */
extern void HeMethodDefault (He_method *meth, int nat);
extern void HeMethodInit ();
extern void HeMethodDestroyDefault (He_node *hn);
extern void HeMethodFitDefault (He_node *hn);
extern void HeMethodUpdateDefault (He_node *hn, He_upd_info *ui);
extern int HeMethodEventDefault (He_node *hn, He_event *hev);
extern void HeMethodDrawDefault (He_node *hn);
extern int HeMethodExportDefault (He_node *hn, Atom sel_type, Atom target,
	Atom *type, Uchar **value, int *length, int *format, int *free_value);
extern void HeMethodImportDefault (He_node *hn, Atom sel_type, Atom target, Atom prop,
	Atom type, int format, Ulong nitems, Uchar *data, int *free_data);
extern He_focus_info *HeMethodStoreFocusDefault (He_node *hn);
extern He_tip_info *HeMethodStoreTipDefault (He_node *hn);


#endif /* HELIUM__METHOD_H */

