/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/pan_arrow.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__PAN_ARROW_H
#define HELIUM__PAN_ARROW_H


typedef struct Obj_panel_arrow_st {
	int	current,		/* -2, -1, 0, 1, 2 */
        	slow,			/* valeur d'acclration lente */
                fast,			/* valeur d'acclration rapide */
                layout;			/* HE_HORIZONTAL ou HE_VERTICAL */
	He_notify_proc notify_proc;
} Obj_panel_arrow;


/* PUBLIC */
extern He_node *HeCreateArrow (He_node *owner);
extern void HeSetArrowCurrentValue (He_node *hn, int current);
extern void HeSetArrowSlowValue (He_node *hn, int slow);
extern void HeSetArrowFastValue (He_node *hn, int fast);
extern void HeSetArrowLayout (He_node *hn, int layout);
extern void HeSetArrowNotifyProc (He_node *hn, He_notify_proc proc);
extern int HeGetArrowCurrentValue (He_node *hn);
extern int HeGetArrowSlowValue (He_node *hn);
extern int HeGetArrowFastValue (He_node *hn);
extern int HeGetArrowLayout (He_node *hn);
extern He_notify_proc HeGetArrowNotifyProc (He_node *hn);


/* PRIVE */
extern void HeArrowAutoInit ();
extern void HeArrowDestroy (He_node *hn);
extern void HeArrowFit (He_node *hn);
extern void HeArrowUpdate (He_node *hn, He_upd_info *ui);
extern int HeArrowEvent (He_node *hn, He_event *hev);
extern void HeArrowDraw (He_node *hn);
extern void HeArrowSize (He_node *hn, int deco_x, int deco_y, int *xm, int *ym);
extern int HeNotArrow (He_node *hn);


#endif /* HELIUM__PAN_ARROW_H */

