/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/pan_button.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__PAN_BUTTON_H
#define HELIUM__PAN_BUTTON_H


typedef struct Obj_panel_button_st {
	char	*label;
        XImage	*xi;
	He_notify_proc notify_proc;
        He_tip_info tip_info;
} Obj_panel_button;


/* PUBLIC */
extern He_node *HeCreateButton (He_node *owner);
extern He_node *HeCreateButtonP (He_node *owner, const char *label, 
                                 He_notify_proc proc, void *client_data);
extern void HeSetButtonLabel (He_node *hn, const char *label);
extern void HeSetButtonXImage (He_node *hn, XImage *xi);
extern void HeSetButtonNotifyProc (He_node *hn, He_notify_proc proc);
extern char *HeGetButtonLabel (He_node *hn);
extern XImage *HeGetButtonXImage (He_node *hn);
extern He_notify_proc HeGetButtonNotifyProc (He_node *hn);


/* PRIVE */
extern void HeButtonAutoInit ();
extern void HeButtonDestroy (He_node *hn);
extern void HeButtonFit (He_node *hn);
extern void HeButtonUpdate (He_node *hn, He_upd_info *ui);
extern int HeButtonEvent (He_node *hn, He_event *hev);
extern void HeButtonDraw (He_node *hn);
extern He_tip_info *HeButtonStoreTip (He_node *hn);
extern void HeButtonSize (He_node *hn, int deco_x, int deco_y, int *xm, int *ym);
extern int HeNotButton (He_node *hn);


#endif /* HELIUM__PAN_BUTTON_H */

