/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/pan_toggle.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__PAN_TOGGLE_H
#define HELIUM__PAN_TOGGLE_H


typedef struct Obj_panel_toggle_st {
	char	*label;
        int	value,			/* TRUE ou FALSE */
        	categ;			/* HE_TOGGLE, HE_RADIO ou HE_CHECK */
        He_node_ptr next;		/* Liste circulaire pour HE_RADIO */
	He_notify_proc notify_proc;
        He_tip_info tip_info;
} Obj_panel_toggle;


/* PUBLIC */
extern He_node *HeCreateToggle (He_node *owner, int categ);
extern He_node *HeCreateToggleLedP (He_node *owner, const char *label, 
		He_notify_proc proc, int value);
extern He_node *HeCreateToggleCheckP (He_node *owner, const char *label, 
		He_notify_proc proc, int value);
extern He_node *HeCreateToggleRadioP (He_node *owner, const char *label, 
		He_notify_proc proc, He_node *group);
extern void HeSetToggleLabel (He_node *hn, const char *label);
extern void HeSetToggleValue (He_node *hn, int value);
extern void HeSetToggleNotifyProc (He_node *hn, He_notify_proc proc);
extern char *HeGetToggleLabel (He_node *hn);
extern int HeGetToggleValue (He_node *hn);
extern He_notify_proc HeGetToggleNotifyProc (He_node *hn);
extern void HeGroupToggle (He_node *h1, He_node *h2);
extern void HeUngroupToggle (He_node *hn);
extern He_node *HeGetToggleLighted (He_node *hn);
extern void HeSetToggleLighted (He_node *hn);


/* PRIVE */
extern void HeToggleAutoInit ();
extern void HeToggleDestroy (He_node *hn);
extern void HeToggleFit (He_node *hn);
extern void HeToggleUpdate (He_node *hn, He_upd_info *ui);
extern int HeToggleEvent (He_node *hn, He_event *hev);
extern void HeToggleDraw (He_node *hn);
extern He_tip_info *HeToggleStoreTip (He_node *hn);
extern void HeDrawToggleLed   (Window win, int x, int y, int c1, int c2, int cbg);
extern void HeDrawToggleCheck (Window win, int x, int y, int c1, int c2, int cbg);
extern void HeDrawToggleRadio (Window win, int x, int y, int c1, int c2, int cbg);
extern void HeToggleSize (He_node *hn, int deco_x, int deco_y, int *xm, int *ym);
extern int HeNotToggle (He_node *hn);


#endif /* HELIUM__PAN_TOGGLE_H */

