/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/panel.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__PANEL_H
#define HELIUM__PANEL_H


typedef struct Obj_panel_st {
	int	layout,		/* Alignement HE_HORIZONTAL ou HE_VERTICAL */
		x_ali, y_ali,	/* Coords pour l'alignement */
		x_gap, y_gap,	/* Espace entre les items */
		ref_item,	/* Le dernier item cre'e' ou -1 */
		pointed;	/* L'item pointe' par la souris */
	He_kbd_proc kbd_proc;	/* intercepte evt si retour FALSE */
} Obj_panel;


/* PUBLIC */
extern He_node *HeCreatePanel (He_node *owner);
extern void HeSetPanelLayout (He_node *hn, int layout);
extern void HeSetPanelXAlign (He_node *hn, int x_ali);
extern void HeSetPanelYAlign (He_node *hn, int y_ali);
extern void HeSetPanelXGap (He_node *hn, int x_gap);
extern void HeSetPanelYGap (He_node *hn, int y_gap);
extern void HeSetPanelRef (He_node *hn, He_node *ref);
extern void HeSetPanelKbdProc (He_node *hn, He_kbd_proc proc);
extern int HeGetPanelLayout (He_node *hn);
extern int HeGetPanelXAlign (He_node *hn);
extern int HeGetPanelYAlign (He_node *hn);
extern int HeGetPanelXGap (He_node *hn);
extern int HeGetPanelYGap (He_node *hn);
extern He_node *HeGetPanelRef (He_node *hn);
extern He_kbd_proc HeGetPanelKbdProc (He_node *hn);
extern int HeIsPanel (He_node *hn);


/* PRIVE */
extern void HePanelAutoInit ();
extern void HePanelDestroy (He_node *hn);
extern void HePanelFit (He_node *hn);
extern void HePanelUpdate (He_node *hn, He_upd_info *ui);
extern int HePanelEvent (He_node *hn, He_event *hev);
extern void HePosPanelItem (He_node *hn);
extern int HeNotPanel (He_node *hn);


#endif /* HELIUM__PANEL_H */

