/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/selection.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__SELECTION_H
#define HELIUM__SELECTION_H


/* PUBLIC */
extern He_node *HeGetSelection ();
extern void HeClearSelection ();
extern void HeSetSelection (He_node *hn);
extern void HeImportSelection (He_node *hn, Atom selection, Atom target, Atom prop);
extern void HeClearClipboard ();
extern void HeSetClipboardString (const char *str, int len);
extern void HeGetClipboardString (char **str, int *len, int *internal);


/* PRIVE */
extern void HeSetPrimaryOwner ();
extern void HeSetClipboardOwner ();
extern int HeExportClipboard (Atom sel_type, Atom target, Atom *type, 
	Uchar **value, int *length, int *format, int *free_value);
extern void HeXSelClear (XSelectionClearEvent *ev);
extern void HeXSelRequest (XSelectionRequestEvent *ev);
extern void HeXSelNotify (XSelectionEvent *ev);
extern void HePrintSelAtoms (Atom selection, Atom target, Atom property);
extern void HePrintSelTargets (Atom liste[], int nb);


#endif /* HELIUM__SELECTION_H */

