/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/update.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__UPDATE_H
#define HELIUM__UPDATE_H


enum {
	HE_UPD_NULL		= 0L,
	HE_UPD_DIMX		= 1L<<0 ,
	HE_UPD_DIMY		= 1L<<1 ,
	HE_UPD_DIMW		= 1L<<2 ,
	HE_UPD_DIMH		= 1L<<3 ,
	HE_UPD_BORDER		= 1L<<4 ,
	HE_UPD_DRAW		= 1L<<5 ,
	HE_UPD_EXPOSE		= 1L<<6 ,
	HE_UPD_FOCUS		= 1L<<7 ,
	HE_UPD_TRANSIENT	= 1L<<8
};

#define HE_UPD_ANYDIM	(HE_UPD_DIMX | HE_UPD_DIMY | HE_UPD_DIMW | HE_UPD_DIMH)
#define HE_UPD_SIZE	(HE_UPD_DIMW | HE_UPD_DIMH)
#define HE_UPD_POS	(HE_UPD_DIMX | HE_UPD_DIMY)


/* PUBLIC */
extern void HeFlushDisplay ();
extern void HeUpdate (He_node *hn);
extern void HePostRepaint (He_node *hn);


/* PRIVE */
extern void HeUpdateInit ();
extern void HeUpdateInitElt (He_node *hn, He_upd_info *ui);
extern void HeUpdateMark (He_node *hn, Ulong val);
extern He_upd_info *HeUpdateInfo (He_node *hn);
extern void HeUpdateFlush ();
extern void HeUpdateWinGeom (He_node *hn, He_upd_info *ui);
extern void HeUpdateDrawOldBg (He_node *hn, He_upd_info *ui);


#endif /* HELIUM__UPDATE_H */

