/*
 * The Helium Toolkit
 *
 * Copyright (C) 1996-2000 Edouard Thiel <Edouard.Thiel@lif.univ-mrs.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License; see http://www.lif-sud.univ-mrs.fr/~thiel/helium/LICENSE
*/

/*
 * gui/xi.h - 10/10/2000
 *
 * 
*/


#ifndef HELIUM__XI_H
#define HELIUM__XI_H


/* PUBLIC */
extern XImage *HeCreateXi (int width, int height);
extern void HeDestroyXi (XImage *xi);
extern void HePutXi (Window win, GC gc, XImage *xi, int x, int y);
extern void HePutSubXi(Window win, GC gc, XImage *xi, int x, int y,
	int sub_x, int sub_y, int sub_w, int sub_h);
extern void HeRGBtoXi (XImage *xi, Uchar *tabR, Uchar *tabG, Uchar *tabB);
extern void HeSetXiBg (XImage *xi, Uchar R, Uchar G, Uchar B);
extern void (*HeSetXiPixel)(XImage *xi, int offset, Uchar R, Uchar G, Uchar B);


/* PRIVE */
extern void HeSetXiPixel_BPP8_LUT (XImage *xi, int t,
	Uchar R, Uchar G, Uchar B);
extern void HeSetXiPixel_BPP16_LUT (XImage *xi, int t,
	Uchar R, Uchar G, Uchar B);
extern void HeSetXiPixel_BPP24_LUT (XImage *xi, int t,
	Uchar R, Uchar G, Uchar B);
extern void HeSetXiPixel_BPP32_LUT (XImage *xi, int t,
	Uchar R, Uchar G, Uchar B);
extern void HeSetXiPixel_BPP24_RAW (XImage *xi, int t,
	Uchar R, Uchar G, Uchar B);
extern void HeSetXiPixel_BPP32_RAW (XImage *xi, int t,
	Uchar R, Uchar G, Uchar B);
extern void HeXiInit (int force_lut);
extern void HeXiAnalyseMask (Ulong mask, int *mult, int *deca);
extern void HeXiPermute2 (int *a, int *b);
extern void HeXiPermuteN (int *a, int *b, int *c, int *d, int n);
extern void HeXiDebug ();


#endif /* HELIUM__XI_H */

